Page MenuHomePhabricator

if tb-updater storage path for Qubes R4 DispVMs
Closed, ResolvedPublic

Details

Impact
Normal

Event Timeline

Patrick created this task.Nov 3 2017, 4:05 PM

How do I detect being run inside a DispVM Template? @marmarek

(How do I detect being run inside a whonix-ws-dvm Template?)

Reason:

  • I would want to avoid tb-updater-first-boot to copy Tor Browser from root image's /var/cache/tb-binary to /home/user so the DispVM's tb-updater-first-boot will do that, rather than DispVM Template's tb-updater-first-boot.
  • Therefore upgrading whonix-ws (package tb-updater) will result in fresh Tor Browser versions in whonix-wd-dvm based DispVMs (named Disp[...]).

(systemd unit file / script)

Related:
https://www.whonix.org/wiki/Tor_Browser/Advanced_Users#tb-updater_in_Qubes_TemplateVM

Btw Whonix 14 getting close. (Postponed a few difficult tickets.) This ticket (T698) and T698 are the last two remaining ones as it looks now before a testers-only release can be made.

Patrick changed the task status from Open to testing-in-next-build-required.Dec 15 2017, 7:21 PM

In whonix-ws-dvm the status file /var/cache/tb-updater/first-boot-home-population.done is not persistent either.

https://github.com/Whonix/tb-updater/commit/49a23475915e809b9a58403181fb0218d349952d

Patrick closed this task as Resolved.Jun 13 2018, 10:52 PM
Patrick claimed this task.